Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libgeier
#Epoch:		0
Version:	0.10
Release:	1
License:	GNU/GPLv2
URL:		http://www.taxbird.de/libgeier.html
Group:		System/Libraries
Summary:	GPL`d ELSTER interface
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libtool-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: openssl-devel
BuildRequires: pkg-config
BuildRequires: xmlsec1-devel
BuildRequires: zlib-devel

%description
libgeier is a library to send gathered tax declarations data to the German inland revenue offices (using the Elster2/Coala-approach).

It is capable of validating, encrypting, digitally signing, and sending the data, which has to be supplied as an XML tree. libgeier library can generate transmission protocols for you. A small command line client is included.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug \
--with-openssl

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/geier
%{_datadir}/libgeier/
%{_mandir}/man1/geier.1.gz
%{_libdir}/libgeier*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/geier*.h
%{_libdir}/libgeier*.so
%{_libdir}/libgeier*.la
%{_libdir}/libgeier*.a
%{_pkgconfig}/libgeier.pc
%{_datadir}/gtk-doc/html/geier

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10-1
- initial CCux package release
